Subject: Re: bug#22600: 'Globally-Visible Packages' not shown by 'M-x guix-installed-packages'

From: Alex Kost <[email-masked]>
Date: Sat, 13 Feb 2016 23:37:10 +0300

myglc2 (2016-02-10 23:25 +0300) wrote:

> Alex Kost <[email-masked]> writes:
> [...]
>> I don't understand what "w/wo user mods" means,
>
> That "official" guix recipes in local repo may be modified.
>
> Revised table:
>
> ** Sources of and ways to install packages in guixSD

[...]

I received this table corrupted, I hope the following one will survive
the mail sending.

| Recipe source         | avail to | recipe upgrade | location   | package install                                                  | profile                     | display packages                       | display generations         |
|-----------------------+----------+----------------+------------+------------------------------------------------------------------+-----------------------------+----------------------------------------+-----------------------------|
| guix ???              | system   | guix pull      | /gnu/store | sudo guix system reconfigure <config.scm>                        | /run/current-system/profile | (1) M-x guix-installed-system-packages | M-x guix-system-generations |
| guix ???              | user     | guix pull      | /gnu/store | sudo guix package -i <package>                                   | ~/.guix-profile             | (1) M-x guix-installed-user-packages   | M-x guix-generations        |
| guix git repo         | system   | (2) git pull   | PWD        | [env]$ sudo ./pre-inst-env guix system reconfigure <configs.scm> | /current-system/profile     | (1) M-x guix-installed-system-packages | M-x guix-system-generations |
| guix git repo         | user     | (2) git pull   | PWD        | [env]$ sudo ./pre-inst-env guix package -i <package>             | ~/.guix-profile             | (1) M-x guix-installed-user-packages   | M-x guix-generations        |
| <user-dir>/<user.scm> | system   | N/A            | <user-dir> | sudo guix system reconfigure <config.scm w/ user-package>        | /run/current-system/profile | (1) M-x guix-installed-system-packages | M-x guix-system-generations |
| <user-dir>/<user.scm> | user     | N/A            | <user-dir> | (3) [env]$ sudo guix package -i <user-package>                   | ~/.guix-profile             | M-x guix-installed-packages            | M-x guix-generations        |
|-----------------------+----------+----------------+------------+------------------------------------------------------------------+-----------------------------+----------------------------------------+-----------------------------|

> Notes:
> (1) proposed
> (2) Recipes obtained this way may be modified by the user. Set up the guix git repo as described in the manual (info "(guix) Building from Git"). 
> (3) Add <user-dir> to GUIX_PACKAGE_PATH as described in the manual (info "(guix) Package Modules")
>
> Trying to help a new user get their bearings. What do you think?

It looks ok to me except you use "sudo" everywhere.  This may be
misleading as "sudo" is not needed when a user installs a package in a
his/her profile.

-- 
Alex